<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Philip Kleimeyer <pkleimeyer@narando.de>, narando
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package narando
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Tx_Narando_Controller_NarandoController extends Tx_Extbase_MVC_Controller_ActionController {

	public static $includedMyScript;

	/**
	 * action list
	 *
	 * @return void
	 */
	public function listAction() {
		
		//Fix multiple adding
		if (!self::$includedMyScript) {
			$this->response->addAdditionalHeaderData('<script src="http://www.narando.com/assets/narando.player.js" type="text/javascript"></script>');
		  	self::$includedMyScript = true;
		}

		
		$permalink = $this->uriBuilder->getRequest()->getRequestUri();
		
		$autoplay = "";
		
		if ($this->settings["autoplay"] == "1") {
			$autoplay = "autoplay";
		}
		
		$data_fg_color = $this->settings["data_fg_color"];
		$data_bg_color = $this->settings["data_bg_color"];
		$data_txt_color = $this->settings["data_txt_color"];
		$data_fr_color = $this->settings["data_fr_color"];
		
		$data_fg_color = str_replace("#",'',$data_fg_color);
		$data_bg_color = str_replace("#",'',$data_bg_color);
		$data_txt_color = str_replace("#",'',$data_txt_color);
		$data_fr_color = str_replace("#",'',$data_fr_color);
		$data_hide_element = ".narando-text-container";
		
		// plain assign
		$content = sprintf('<div class="narando-player" data-canonical="%s" data-floating="mobile" data-fg-color="%s" data-bg-color="%s" data-txt-color="%s" data-fr-color="%s" data-hide-element="%s" %s></div>%s', $permalink, $data_fg_color, $data_bg_color, $data_txt_color, $data_fr_color, $data_hide_element, $autoplay, $content);
		$this->view->assign('narandoplayer', $content);
		$this->view->assign('pretext', $this->settings["pretext"]);
		$this->view->assign('aftertext', $this->settings["aftertext"]);
		
		
		
		
	}

}
?>